Zeitgeist.Timestamp.next_midnight – zeitgeist-2.0 Reference Manual

# next_midnight

## Description:

public int64 next_midnight (int64 timestamp)

Calculate the timestamp for the next midnight after the given timestamp.

If is is already midnight (down to the millisecond), this method will return the value for the next midnight. In other words, you can call this method recursively in order to iterate, forwards in time, over midnights.

## Parameters:

timestamp | the Zeitgeist timestamp to find the next midnight for

## Returns:

the timestamp for the next midnight after the given timestamp

Namespace: Zeitgeist.Timestamp
Package: zeitgeist-2.0